1. Symantec/
  2. Security Response/
  3. Attack Signatures/
  4. Web Attack: Apple Quicktime CVE-2012-0663

Web Attack: Apple Quicktime CVE-2012-0663

Severity: High

This attack could pose a serious security threat. You should take immediate action to stop any damage or prevent further damage from happening.

Description

This signature detects the stack overflow vulnerability in the Apple Quicktime versions that are prior to 7.7.2.

Additional Information

Apple QuickTime is a media player that supports multiple file formats.

Apple QuickTime is prone to multiple stack-based buffer-overflow vulnerabilities when parsing the XML elements within a TeXML files. Specifically, these issues occur because the 'QuickTime3GPP.qtx' code fails to properly validate the length of the 'transform', 'sampleData', 'Style', and 'Karaoke' elements before copying it into a fixed-length buffer.

Successful exploits may allow attackers to execute arbitrary code in the context of the currently logged-in user; failed exploit attempts may cause denial-of-service conditions.

Versions prior to QuickTime 7.7.2 are vulnerable on Windows 7, Vista and XP.

NOTE: This issue was previously discussed in BID 53547 (Apple QuickTime Prior To 7.7.2 Multiple Arbitrary Code Execution Vulnerabilities), but has been given its own record to better document it.

Affected

  • Versions prior to QuickTime 7.7.2 are vulnerable on Windows 7, Vista and XP.
  • Twitter
  • Facebook
  • LinkedIn
  • Google+
  • YouTube